Package org.apache.groovy.parser.antlr4

# Class AbstractParser

java.lang.Object
org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,​org.antlr.v4.runtime.atn.ParserATNSimulator>
org.antlr.v4.runtime.Parser
org.apache.groovy.parser.antlr4.AbstractParser

All Implemented Interfaces:
  `SyntaxErrorReportable`

Direct Known Subclasses:
  `GroovyParser`

    public abstract class AbstractParser
    extends org.antlr.v4.runtime.Parser
    implements SyntaxErrorReportable

Because antlr4 does not support generating parser with specified interface, we have to create a super class for it and implement the interface.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

  `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

- ## Field Summary

  ### Fields inherited from class org.antlr.v4.runtime.Parser

  `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, matchedEOF`

  ### Fields inherited from class org.antlr.v4.runtime.Recognizer

  `_interp, EOF`

  ### Fields inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `NO_OFFSET`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AbstractParser​(org.antlr.v4.runtime.TokenStream input)` |

- ## Method Summary

  ### Methods inherited from class org.antlr.v4.runtime.Parser

  `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, createErrorNode, createTerminalNode, dumpDFA, enterLeftFactoredRule, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getErrorListenerDispatch, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

  ### Methods inherited from class org.antlr.v4.runtime.Recognizer

  `action, addErrorListener, getATN, getErrorHeader, getErrorListeners, getGrammarFileName, getInterpreter, getRuleIndexMap, getRuleNames, getSerializedATN, getState, getTokenErrorDisplay, getTokenNames, getTokenType, getTokenTypeMap, getVocabulary, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `genPositionInfo, genPositionInfo, getErrorColumn, getErrorLine, getSyntaxErrorSource, require, require, require, require, require, require, throwSyntaxError, throwSyntaxError`

- ## Constructor Details

  - ### AbstractParser

    public AbstractParser​(org.antlr.v4.runtime.TokenStream input)